USB_GADGET_VBUS_DR(9)

NAME
usb_gadget_vbus_draw - constrain controller's VBUS power usage

SYNOPSIS

int usb_gadget_vbus_draw (struct usb_gadget * gadget, unsigned mA);

ARGUMENTS

gadget
    The device whose VBUS usage is being described

mA  How much current to draw, in milliAmperes. This should be twice the value listed in the configuration descriptor bMaxPower field.

DESCRIPTION

This call is used by gadget drivers during SET_CONFIGURATION calls, reporting how much power the device may consume. For example, this could affect how quickly batteries are recharged.

Returns zero on success, else negative errno.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.